function OnWarpEnter() 

	PutObject("bpa1") -- pilon
	PutObject("bqa1") -- pipette
	PutObject("bra1") -- petite cuillère
	SetMarker("stove_door", 4, 0)
	AnimationSetToStart("bva1",false) -- bougie du bureau
	StartAnimationPart("boa1", 60, 70, -1, false)
	SetMarker("cs\\Warp_0011.wp", 0 , 0) 
	
	if not pelter or pelter == 0 then
		AnimationSetToStart("bka1") -- bol
		pelter = 0
	elseif pelter == 2 then 
		StartAnimationPart("bka1", 2, 3, -1, true) -- bol (tous types)
	end
		
	AnimationSetToStart("bla1") -- pot
	StartAnimationPart("bma1", 110,111, -1, true) -- tiroir du poêle
	AnimationSetToStart("bna1") -- poignée du poêle

	if not OPEN_DESK_0013_D3 then
		AnimationSetToStart("bta1",true)
	elseif OPEN_DESK_0013_D3 then
		AnimationSetToEnd("bta1",true)
		if not PAPER_DESK_0013_D3 then
			PutObject("bua1",true)
		end
	end
	if not PHIAL_AMBERGRIS_TAKEN then
		PutObject("bja1",true)
	end
	
	if ETAT_DAY == "D4" then 
		StartAnimationPart("bza1",0,30,-1,false) -- Nostradamus à son bureau
	end 
	
	if ETAT_DAY == "D5" then 
		if not Nostra_W12_D5 then 
			Nostra_W12_D5 = true
			StartAnimationPart("bza1", 66, 86, -1)
			LookAt(025, 04)
			DrawText("No2810", "No2810.ogg", 2) -- Bonjour Chérie.
			DrawText("Ma2826", "Ma2826.ogg", 0) -- Bonjour Père.
			DrawText("No2827", "No2827.ogg", 2) -- As-tu encore rêvé ?
			if Tisane then
				DrawText("Ma2828", "Ma2828.ogg", 0) -- Non, la tisane que tu m'as conseillée a fait son effet.
			else
				DrawText("Ma2830", "Ma2830.ogg", 0) -- Oui, toujours le même rêve.
			end
			SetMarker("bza1", 4, 0)
		else
		StartAnimationPart("bza1", 0, 30, -1) -- Nostradamus à son bureau
		SetMarker("bza1", 4, 0)
		end
	end 
	
end

function ShowDialog()

	if ETAT_DAY == "D5" then
		PushAnswer("Ma2831") -- Tu as trouvé des choses intéressantes ?
		PushAnswer("Ma2840") -- Que dois-je faire ?
		if MonkDiary then
			PushAnswer("Ma2848") -- J'ai trouvé une feuille cachée dans le missel qui appartenait au défunt scribe. 
		end
		PushAnswer("3411")  -- prendre congé
	end
	
end

function OnAnimationFinished(AnimName)
end

function OnDialogFinished(dialogName)
	if ETAT_DAY == "D4" then
		if dialogName == "No1857" or dialogName == "No1859" or dialogName == "No1862" 
		or dialogName == "No1864" or dialogName == "No1866" or dialogName == "No1868" 
		or dialogName == "No1871" or dialogName == "No1873" or dialogName == "No1875" 
		or dialogName == "No1877" or dialogName == "No1879" or dialogName == "No1881" 
		or dialogName == "No1883" or dialogName == "No1885" or dialogName == "No2563" 
		or dialogName == "No2565" or dialogName == "No2569" or dialogName == "No2573" 
		or dialogName == "No2577" or dialogName == "No2581" or dialogName == "No2583" 
		or dialogName == "No2573" or dialogName == "No2577" or dialogName == "No2585" then
			StartAnimationPart("bza1", 0, 30, -1, true) -- Nostradamus parle à son bureau
		end
		if dialogName == "Ma1858" or dialogName == "Ma1860" or dialogName == "Ma1863" 
		or dialogName == "Ma1865" or dialogName == "Ma1867" or dialogName == "Ma1870" 
		or dialogName == "Ma1872" or dialogName == "Ma1874" or dialogName == "Ma1876" 
		or dialogName == "Ma1878" or dialogName == "Ma1880" or dialogName == "Ma1882" 
		or dialogName == "Ma1884" or dialogName == "Ma1886" or dialogName == "Ma2562" 
		or dialogName == "Ma2564" or dialogName == "Ma2567" or dialogName == "Ma2571" 
		or dialogName == "Ma2574" or dialogName == "Ma2580" or dialogName == "Ma2582" 
		or dialogName == "Ma2584" then
			StartAnimationPart("bza1", 66, 86, -1, false) -- Nostradamus à son bureau
		end
		if dialogName == "" or dialogName == "" then
			SetMarker("bza1", 4, 0)
		end
		if dialogName == "No2573" or dialogName == "No2577" or dialogName == "No2585" then
			AskSeparation()
		end
		if dialogName == "No2573"  then
			CAN_ENTER_QUEEN_ROOM_D4 = true
		end
	end
	
	if ETAT_DAY == "D5" then
		if dialogName == "Ma2826" or dialogName == "Ma2831" or dialogName == "Ma2835" 
		or dialogName == "Ma2837" or dialogName == "Ma2840" or dialogName == "Ma2842" 
		or dialogName == "Ma2852" or dialogName == "Ma2855" then	
			StartAnimationPart("bza1", 66, 86, -1, false) -- Nostradamus parle à son bureau
		end
		if dialogName == "No2810" or dialogName == "No2827" or dialogName == "No2829" 
		or dialogName == "No2834" or dialogName == "No2836" or dialogName == "No2839" 
		or dialogName == "No2841" or dialogName == "No2847" or dialogName == "No2851" 
		or dialogName == "No2854" or dialogName == "No2856" then
			StartAnimationPart("bza1", 0, 30, -1, false) -- Nostradamus à son bureau
		end
	end
	
end

function AskSeparation()
	if ETAT_DAY == "D4" then
		PushAnswer("Ma2562") -- Le thème que j'ai trouvé chez Chavigny est celui d'Henri de Navarre.
		PushAnswer("Ma2574") -- Toi qui le connais bien, penses-tu que Chavigny pourrait être derrière tout ça ?
		if AMP45 then
			PushAnswer("Ma2578") -- Philibert devait se sentir en danger. 
		end
		PushAnswer("3411")
	end
	
end

function OnAnswered(dialogName)

	if dialogName == "3411" then
		SetMarker("bza1", 4, 0)
	end
	
	if ETAT_DAY == "D4" then
		if dialogName == "Ma2562" then -- -- Le thème que j'ai trouvé chez Chavigny est celui d'Henri de Navarre.
			StartAnimationPart("bza1",66,86,-1,false)
			DrawText("No2563","No2563.ogg",2) -- Je savais bien que cette date de naissance ne m'était pas inconnue. Je suppose que tu as calculé sa révolution solaire ?
			DrawText("Ma2564","Ma2564.ogg",0) -- En effet, et il est en danger. Etant donné ce que j'ai pu entrevoir de son avenir, je pense que cette malédiction n'est qu'un prétexte pour s'en prendre à lui.
			DrawText("No2565","No2565.ogg",2) -- C'est possible, nombreux sont ceux qui feraient tout pour empêcher un huguenot de monter sur le trône !
			DrawText("Ma2566","Ma2566.ogg",0) -- La meilleure façon de protéger le jeune Henri est de stopper cette funeste série de meurtres. Pour que leur plan marche, ils doivent encore tuer trois personnes avant de s'attaquer à la famille royale. 
			DrawText("Ma2567","Ma2567.ogg",0) -- Et sans l'accomplissement d'une malédiction divine, s'en prendre à lui risque d'être plus délicat.	
			DrawText("No2568","No2568.ogg",2) -- Sans doute, mais nous avons certainement affaire à des gens prêts à tout. 
			DrawText("No2569","No2569.ogg",2) -- Qui sait leur plan nous fait peut-être figurer parmi les prochains morts !
			DrawText("Ma2570","Ma2570.ogg",0) -- Raison de plus pour arrêter tout ça !
			DrawText("Ma2571","Ma2571.ogg",0) -- Faut-il en parler à la reine mère ?
			DrawText("No2572","No2572.ogg",2) -- Je ne sais pas trop. Je ne la pense pas capable d'être complice de cette mascarade, mais ceux qui en tirent les ficelles sont peut-être très proches d'elle.
			DrawText("No2573","No2573.ogg",2) -- Tant que nous n'avons rien de tangible, il vaut mieux garder cela pour nous. Mais va la voir quand même, elle trouverait suspect que tu ne lui rendes aucun compte.
		elseif dialogName == "Ma2574" then -- -- Toi qui le connais bien, penses-tu que Chavigny pourrait être derrière tout ça ?
			StartAnimationPart("bza1",66,86,-1,false)
			DrawText("No2575","No2575.ogg",2) -- Il y a peu je t'aurais répondu non. Mais il y a beaucoup d'éléments troublants, et puis l'argent et le pouvoir peuvent changer un homme.
			DrawText("No2576","No2576.ogg",2) -- Tu ne dois te fier à personne.
			DrawText("No2577","No2577.ogg",2) -- L'avenir est capricieux, Madeleine. Si j'avais prévu ce qui se passe aujourd'hui, je t'aurais envoyée loin d'ici avec ta mère.
		elseif dialogName == "Ma2578" then -- -- Philibert devait se sentir en danger. 
			DrawText("Ma2579","Ma2579.ogg",0) -- Il a laissé derrière lui une petite pierre presque identique à la tienne et un papier portant les initiales A.M.P. suivies du chiffre 45.
			DrawText("Ma2580","Ma2580.ogg",0) -- Cette note m'a conduit au livre de Paracelse...
			DrawText("No2581","No2581.ogg",2) -- Philibert était un homme cultivé. Et qu'y as-tu trouvé ?
			DrawText("Ma2582","Ma2582.ogg",0) -- Une feuille portant des signes inconnus, en fait on dirait un alphabet. Ca a peut-être un rapport avec ses recherches sur les signes celtes et avec les pierres gravées. Les motifs se ressemblent beaucoup.
			DrawText("No2583","No2583.ogg",2) -- Intéressant. Dans quel livre de l'Astronomia as-tu trouvé cette feuille ?
			DrawText("Ma2584","Ma2584.ogg",0) -- Pardon ?
			DrawText("No2585","No2585.ogg",2) -- L'Astronomia est divisé en 4 livres, et d'après mes souvenirs l'édition qui se trouve au château ne les regroupe pas en un seul ouvrage. Il y a donc quatre tomes différents et peut-être quatre notes de Philibert !
		end
	end

	if ETAT_DAY == "D5" then
		if dialogName == "Ma2831" then -- Tu as trouvé des choses intéressantes ?
			StartAnimationPart("bza1", 66, 86, -1, false)
			DrawText("No2832","No2832.ogg",2) -- Comme tu l'as bien compris, le danger qui plane sur la famille royale, concerne certainement le jeune Henri de Navarre.
			DrawText("No2833","No2833.ogg",2) -- Les prédictions que j'avais écrites pour cette année ne parlaient pas de malédiction, mais elles n'étaient pas non plus heureuses.
			DrawText("No2834","No2834.ogg",2) -- Et au regard des évènements, elles prennent un tout autre sens.
			DrawText("Ma2835","Ma2835.ogg",0) -- Que veux-tu dire ?
			DrawText("No2836","No2836.ogg",2) -- &quot;Entre peuple discorde, inimitié brutale, Guerre. Mort de grands princes... &quot;
			DrawText("Ma2837","Ma2837.ogg",0) -- Mais Henri n'est pas prince !
			DrawText("No2838","No2838.ogg",2) -- Si, il est prince de Navarre, mais ce n'est pas la question. Les prédictions sont écrites pour être interprétées et non suivies comme des vérités simples.
			DrawText("No2839","No2839.ogg",2) -- Imagine quel danger alors elles pourraient représenter !
		elseif dialogName == "Ma2840" then -- Que dois-je faire ?
			StartAnimationPart("bza1", 66, 86, -1, false)
			DrawText("No2841","No2841.ogg",2) -- Je ne sais pas, ma fille. Cette fois, je crains de n'avoir aucune réponse à te donner. D'après mes observations, tu es la seule à en détenir peut-être une.
			DrawText("Ma2842","Ma2842.ogg",0) -- Je ne comprends pas.
			DrawText("No2843","No2843.ogg",2) -- Peu avant l'arrivée de Catherine de Médicis, je me suis senti faible, et jamais sans cela je ne t'aurais envoyé dans pareille aventure.
			DrawText("No2844","No2844.ogg",2) -- Mais aujourd'hui je pense qu'il devait en être ainsi. Nul n'est prisonnier d'un destin écrit dans les étoiles, mais certains portent en eux des histoires, des destins hors du commun. Quel que soit la façon dont cette histoire finira tu auras un rôle primordial à y jouer avant la fin du jour.
			DrawText("No2845","No2845.ogg",2) -- J'ai travaillé sur la carte de ton ciel cette nuit encore, et une figure récurrente s'impose à moi, comme si elle veillait à ton destin depuis toujours, et aujourd'hui tout particulièrement. C'est un pentacle, tu découvriras combien ce motif est chargé de sens.
			DrawText("No2846","No2846.ogg",2) -- Et puis pense aussi à ces mots &quot;la clef est dans la dernière&quot; ils se sont imposés à moi au milieu de la nuit, comme une évidence.
			DrawText("No2847","No2847.ogg",2) -- Toi seule peux le savoir. Le pentacle, Madeleine, ce symbole te guidera et puis pense à ces quelques mots qui me sont venus cette nuit : &quot;la clef est dans la dernière&quot;.
		elseif dialogName == "Ma2848" then -- J'ai trouvé une feuille cachée dans le missel qui appartenait au défunt scribe.
			--DrawText("Ma2849","Ma2849.ogg",0) -- On dirait une recette, mais je ne sais pas de quelle potion il peut s'agir.
			StartAnimationPart("bza1", 66, 86, -1, false)
			DrawText("No2850","No2850.ogg",2) -- Montre.
			DrawText("No2851","No2851.ogg",2) -- C'est impossible ! Madeleine, cet homme n'est pas mort !
			DrawText("Ma2852","Ma2852.ogg",0) -- Quoi ?
			DrawText("No2853","No2853.ogg",2) -- Il s'agit d'une potion permettant de feindre la mort durant plusieurs heures. Elle est d'une efficacité redoutable, mais très compliquée à préparer.
			DrawText("No2854","No2854.ogg",2) -- Tu as trouvé quelque chose de particulier dans les affaires du scribe mort hier ?
			DrawText("Ma2855","Ma2855.ogg",0) -- Non rien de particulier pourquoi ?
			DrawText("No2856","No2856.ogg",2) -- Je ne sais pas, un simple pressentiment. Tu devrais y regarder de plus près.
			DrawText("Ma2857","Ma2857.ogg",0) -- Très bien.
			DeathTrickRevealed = true
		elseif dialogName == "Ma2828" then -- Non, la tisane que tu m'as conseillée a fait son effet.
			DrawText("No2829","No2829.ogg",2) -- Parfait, tu vas avoir besoin de toute ton énergie aujourd'hui.
			ShowDialog()
		elseif dialogName == "No2853" then
			RemoveFromBag("C_recette_mort_feinte2")
			AddToBag("C_recette_mort_feinte")
			
		end
	end
end

function OnAskToResetOrAddIngredientAnswered(cooking, ingredient, response)
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0011.wp" then 
		ChangeWarp(objectName)
	end

	-- Nostradamus à son bureau
	if objectName == "bza1" then
		if ETAT_DAY == "D2" then
			if BeenIn_071 then
				SetMarker("bza1",-1,0)
				AskSeparation()
			end
		elseif ETAT_DAY == "D4" then 
			SetMarker("bza1",-1,0)
			AskSeparation()
		elseif ETAT_DAY == "D5" then 
			LookAt(025,04)
			ShowDialog()
		end	
	end
end
